import gleam/dynamic/decode.{type Decoder}
import spacetraders_models/timestamp.{type Timestamp}

pub type ShipFuelConsumed {
  ShipFuelConsumed(amount: Int, timestamp: Timestamp)
}

pub fn decoder() -> Decoder(ShipFuelConsumed) {
  use amount <- decode.field("amount", decode.int)
  use timestamp <- decode.field("timestamp", timestamp.decoder())
  decode.success(ShipFuelConsumed(amount:, timestamp:))
}
